# Coriolis Core (CRL) Documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
CRL::AcmSigda Class Reference

A Parser of ACM/Sigda 89' benchmarks. More...

## Static Public Member Functions
static Cell * | load (std::string benchmark)

## Detailed Description

A Parser of ACM/Sigda 89' benchmarks.

Thoses benches are also known as the MCNC or ISCAS98.

The generic cells have been mapped into the sxlib Alliance library in a straighforward way.

Boolean Function | SxLib mapping
--- | ---
`NOT` | `inv_x1`
`BUFF` | `buff_x2`
`AND` | `a2_x2`, `a3_x2`, `a4_x4`
`NAND` | `na2_x1`, `na3_x1`, `na4_x1`
`OR` | `o2_x2`, `o3_x3`, `o4_x4`
`NOR` | `no2_x1`, `no3_x1`, `no4_x1`
`XOR` | `xr2_x1`
`XNOR` | `nxr2_x1`
`DFF` | `sff1_x4`

## Member Function Documentation

Cell * CRL::AcmSigda::load | ( | std::string | benchname | ) |
| static

Load the bench `name` into Coriolis.

The documentation for this class was generated from the following files:

- AcmSigda.h
- AcmSigda.dox

Generated by doxygen 1.8.5 on Thu Mar 19 2020 | Return to top of page

Coriolis Core (CRL) | Copyright © 2008-2016 UPMC All rights reserved